import setuptools
import platform

with open("README.md", "r", encoding='utf8') as fh:
    long_description = fh.read()

if platform.system() == "Windows":
    depen = ['flask', 'pywin32', 'requests', 'beautifulsoup4']
else:
    depen = ['flask', 'requests', 'beautifulsoup4']

setuptools.setup(
    name="swaglyrics",
    version="0.2.1",
    author="Aadi Bajpai",
    author_email="aadibajpai@gmail.com",
    description="Fetch the currently playing song from Spotify and display lyrics on cmd or in a browser tab.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/aadibajpai/SwagLyrics-For-Spotify",
    entry_points={'console_scripts': ['swaglyrics=swaglyrics.__main__:main']},
    packages=setuptools.find_packages(),
    license='MIT',
    include_package_data=True,
    install_requires=depen,
    keywords='spotify lyrics genius',
    classifiers=(
        "Programming Language :: Python :: 3",
        "Framework :: Flask",
        "License :: OSI Approved :: MIT License",
        "Operating System :: Microsoft :: Windows :: Windows 10",
        "Operating System :: POSIX :: Linux",
        "Intended Audience :: End Users/Desktop",
    ),
)
